Update a brand (PATCH)
curl --request PATCH \
--url https://api.zerorank.ai/api/v1/brands/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"trackedNames": [
"<string>"
],
"nameRegex": "<string>",
"useRegex": true,
"domains": [
"<string>"
],
"color": "<string>"
}
'import requests
url = "https://api.zerorank.ai/api/v1/brands/{id}"
payload = {
"name": "<string>",
"trackedNames": ["<string>"],
"nameRegex": "<string>",
"useRegex": True,
"domains": ["<string>"],
"color": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
trackedNames: ['<string>'],
nameRegex: '<string>',
useRegex: true,
domains: ['<string>'],
color: '<string>'
})
};
fetch('https://api.zerorank.ai/api/v1/brands/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": 12,
"name": "Acme",
"trackedNames": [
"<string>"
],
"nameRegex": "<string>",
"useRegex": false,
"domains": [
"acme.com"
],
"domain": "acme.com",
"logoUrl": "<string>",
"industry": "<string>",
"description": "<string>",
"status": "active",
"type": "own",
"color": "#FF4D00",
"relevancyScore": 87,
"relevancyCalculatedAt": "2023-11-07T05:31:56Z",
"workspaceId": 7,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"message": "Brand retrieved successfully"
}{
"success": false,
"message": "Invalid, revoked, or expired API key",
"code": "API_KEY_INVALID"
}{
"success": false,
"message": "This API key is read-only; a key with the \"write\" scope is required",
"code": "INSUFFICIENT_SCOPE"
}{
"success": false,
"message": "Prompt not found"
}{
"success": false,
"message": "Validation failed",
"errors": [
{
"field": "text",
"message": "The text field is required"
}
]
}{
"success": false,
"message": "API rate limit exceeded. Please slow down.",
"code": "RATE_LIMIT_EXCEEDED",
"retryAfter": 30
}Update a brand (PATCH)
Same as PUT /brands/{id}. Needs a key with the write scope.
PATCH
/
brands
/
{id}
Update a brand (PATCH)
Authorizations
Send your workspace API key as Authorization: Bearer zr_live_….
Path Parameters
The numeric id of the item.
Body
application/json
Send only the fields you want to change.
Required string length:
1 - 255Maximum array length:
50Required string length:
1 - 255Maximum string length:
500Maximum array length:
20Required string length:
1 - 255Available options:
active, hidden Available options:
own, competitor Pattern:
^#([A-Fa-f0-9]{6}|[A-Fa-f0-9]{3})$⌘I